
#ifndef _CALENDAR_H_
#define _CALENDAR_H_

#define CAL_ROWS	7	// Max Rows
#define CAL_COLS	7	// Max Cols

class C_Calendar
{
private:
	INT m_nWidth;				// Width of the calendar
	INT m_nHeight;				// Height of the calendar
	INT m_nCharWidth;			// Width of a character
	INT m_nCharHeight;			// Height of the character
	INT m_nTextSize;			// Text Size
	CString m_szFontName;			// Font Name
	HDC m_hMemDC;				// Memory Device context
	HBITMAP m_hBmp;					// Bitmap
	COLORREF m_crTextColor;			// Text Color for Drawing
	COLORREF m_crBackColor;			// Back Ground Color
	BOOL m_startOnSunday;
public:
	C_Calendar(BOOL startOnSunday);
	~C_Calendar();
	HDC DrawCalendar(HDC hDC);			// draw the calendar
	INT GetWidth();					// get width
	INT GetHeight();					// get height
	VOID SetTextSize(INT nTextSize);					// set text size
	VOID SetFont(CString szFont);		// set font
	VOID SetTextColor(COLORREF crTextColor); // set text color
	VOID SetBackColor(COLORREF crBackColor); // set background color
};


#endif