#ifndef SETTINGSDIALOGMISC_H
#define SETTINGSDIALOGMISC_H
// Bote de dialogue CSettingsDialogMisc

class CSettingsDialogMisc : public CPropertyPage {
        DECLARE_DYNAMIC(CSettingsDialogMisc)

    public:
        CSettingsDialogMisc();
        virtual ~CSettingsDialogMisc();
		void translate();
		void DrawSampleText();

		CStaticCtrl m_stText;
		CString m_szFontName;
		INT m_nFontSize;
		COLORREF m_crTextColor;
		COLORREF m_crBackColor;
		BOOL m_enableCalendar;
		UINT m_uXPos;
		UINT m_uYPos;
		int m_nTransparency, iStartup, iThisUser, iExitAfter, iUseTimer, iMinutes, iUpdate, iDisplayClock, iDisplayVisible, iDisplayMonitor, iDisplayTrayMe;
		BOOL m_nBackgroundTransparency;
		BOOL m_weekStartOnSunday;
		CString Language;
		void ResetMainDialog();
		void ApplyChanges();

	enum {
		IDD = IDD_SETTINGS_MISC
	};
    protected:
        afx_msg void OnOK();
        virtual void DoDataExchange(CDataExchange *pDX);  // Prise en charge DDX/DDV
        afx_msg BOOL OnInitDialog();
		afx_msg BOOL OnEraseBkgnd(CDC* pDC);
		afx_msg void OnFontBtn();
		afx_msg void OnColorBtn();
		afx_msg void OnEnableApply();
		afx_msg void OnEnableApply(NMHDR *pNMHDR, LRESULT *pResult);
		afx_msg void OnBnClickedEnablecalendar();
		afx_msg void OnBnClickedUsetimer();
		afx_msg void OnBnClickedExitafter();
		afx_msg void OnBnClickedStartup();

        DECLARE_MESSAGE_MAP()

		CButton m_chkStartup;
		CButton m_radioThisUser;
		CButton m_radioAllUsers;
		CButton m_chkExitAfter;
		CButton m_chkUseTimer;
		CButton m_chkUpdate;
		CButton m_chkDisplayClock;
		CButton m_chkDisplayVisible;
		CButton m_chkDisplayMonitor;
		CButton m_chkDisplayTrayMe;
		CComboBox m_cbxLanguage;

		CEdit m_editHours;
		CEdit m_editMinutes;
		CSpinButtonCtrl m_spinHours;
		CSpinButtonCtrl m_spinMinutes;
};
#endif
