#ifndef SETTINGSDIALOGQUEUEIMAGES_H
#define SETTINGSDIALOGQUEUEIMAGES_H
// Bote de dialogue CSettingsDialogQueueImages

class CSettingsDialogQueueImages : public CPropertyPage {
        DECLARE_DYNAMIC(CSettingsDialogQueueImages)

    public:
        CSettingsDialogQueueImages();
        virtual ~CSettingsDialogQueueImages();
    	afx_msg void DrawPreview2();
		void ResetMainDialog();
		void ApplyChanges();
		void translate();

	enum {
		IDD = IDD_SETTINGS_QUEUE_IMAGES
	};

    protected:
		CString GetItemPath(HTREEITEM hItem);
		bool PopulateTree(CString sPath, HTREEITEM hParent);
		HTREEITEM InsertItem(HTREEITEM hParent, NETRESOURCE *const pNetResource, CString sText, int iImage, int iImageSelected = -1);
		virtual BOOL DestroyWindow();
        afx_msg void OnOK();
        virtual void DoDataExchange(CDataExchange *pDX);  // Prise en charge DDX/DDV
        afx_msg BOOL OnInitDialog();
		afx_msg BOOL OnEraseBkgnd(CDC* pDC);
		afx_msg void OnSelchangedTree(NMHDR* pNMHDR, LRESULT* pResult);
		afx_msg void OnItemexpandingTree(NMHDR* pNMHDR, LRESULT* pResult);
		afx_msg void OnBnClickedAdd();
		afx_msg BOOL OnSetActive();
		void FillList();
		int GetWPPositionByImageSize(CString cstrImagePath);
		
		DECLARE_MESSAGE_MAP()

		CString cstrBrowsePath;
		CTreeCtrl m_Tree;
		CListBox m_lbBrowseList;	/* List of images in the browsed to folder. */
		CStaticCtrl m_picPreview2;	/* Preview window. */
		CStatic m_stType2;			/* BitsPerPixel of the image. */
		CStatic m_stHeight2;		/* Height of the image in pixels. */
		CStatic m_stWidth2;			/* Width of the image in pixels. */
		CImageList m_ImageListTree;	/* Item in the Tree image list */
};
#endif
